using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// Manager_List 的摘要说明。
	/// </summary>
	public class Manager_List : BasePage
	{
		protected System.Web.UI.WebControls.Repeater lstMember;
		MemberSystem member = new MemberSystem();
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			if(!IsPostBack)
			{
				BindData();
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.lstMember.ItemDataBound += new System.Web.UI.WebControls.RepeaterItemEventHandler(this.lstMember_ItemDataBound);
			this.lstMember.ItemCommand += new System.Web.UI.WebControls.RepeaterCommandEventHandler(this.lstMember_ItemCommand);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		protected void Delete_Load(object sender, System.EventArgs e)
		{
			((LinkButton)sender).Attributes["onclick"]="return confirm('您确定要删除这个会员吗？');";
		}
		public string ShowDenied(object IsDenied)
		{
			return Convert.ToBoolean(IsDenied)?"<font color='red'>禁用</font>":"正常";
		}
		private void BindData()
		{
			lstMember.DataSource = member.ManagerList();
			lstMember.DataBind();
		}

		private void lstMember_ItemCommand(object source, System.Web.UI.WebControls.RepeaterCommandEventArgs e)
		{
			if(e.CommandName=="Delete")
			{
				member.Delete(e.CommandArgument);
			}
			Response.Redirect("Manager_List.aspx");
		}

		private void lstMember_ItemDataBound(object sender, System.Web.UI.WebControls.RepeaterItemEventArgs e)
		{
			if(e.Item.ItemType==ListItemType.AlternatingItem)
			{
				if(((DataRowView)e.Item.DataItem).Row["Roles"].ToString().IndexOf("Administrator")>-1)
					((Label)e.Item.FindControl("lblMemberName_A")).ForeColor = Color.Red;
			}
			if(e.Item.ItemType==ListItemType.Item)
			{
				if(((DataRowView)e.Item.DataItem).Row["Roles"].ToString().IndexOf("Administrator")>-1)
					((Label)e.Item.FindControl("lblMemberName_I")).ForeColor = Color.Red;
			}
		}
	}
}
